{ pkgs, lib, config, ... }:
{
  config = {
    system.activationScripts.diff = {
      supportsDryActivation = true;
      text = ''
        if [ -h /run/current-system ]
        then
            ${pkgs.nvd}/bin/nvd --nix-bin-dir=${pkgs.nix}/bin diff /run/current-system "$systemConfig"
        fi
      '';
    };
  };
}
